[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# THelpDatabase.RegisterSelf

Ensures that the LCL Help system has been initialized.

## Declaration

Source position: lazhelpintf.pas line 335

`public procedure THelpDatabase.RegisterSelf;`

## Description

Calls CreateLCLHelpSystem if HelpDatabases has not been assigned. HelpDatabases, HelpManager, and HelpViewers are initialized when the LCL Help system is set up in the Lazarus IDE.

Sets Databases to the value in HelpDatabases.

Called when a new value is assigned to the ID or AutoRegister properties. Called when is created and added to THelpDatabases in its CreateHelpDatabase method.

## Errors

Raises an EHelpSystemException exception when Databases already contains a registered LCL Help Database.

## See also

EHelpSystemException